#!/bin/sh
#
# Script to automatically configure Logitech racing wheels in native mode

case "$(ltwheelconf -l)" in
    *Found\ \"Driving\ Force\ Pro\"*)
        ltwheelconf --wheel DFP --nativemode
        ;;
    *Found\ \"G25\ *)
        ltwheelconf --wheel G25 --nativemode
        ;;
    *Found\ \"Driving\ Force\ GT\"*)
        ltwheelconf --wheel DFGT --nativemode
        ;;
    *Found\ \"G27\ *|*Found\ \"G29\ *)
        ltwheelconf --wheel G27 --nativemode
        ;;
esac
